package pinball.menuevent;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;

import java.awt.event.*;
import java.awt.*;

/**
 * Event to refind the flippers.
 */
public class PinballRefindFlippers implements ActionListener {
	
	/** Find flippers. */
	private Button find;
	
	/** 
	 * Set the refind button.
	 *
	 * @param find the refind button. 
	 */
	public PinballRefindFlippers(Button find) {
		this.find=find; 
	}
	
    	/**
    	 * Refind button is pressed. Refind the flippers. 
    	 */
    	public void actionPerformed(ActionEvent e) {
			if(GameOptions.running())
				GameOptions.refindFlippers(true);
    	}
}
