package pinball.player.multipleblip;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.standard.*;
import pinball.player.remote.*;

import java.awt.*;


/** Player which blips if any blip is near the flippers.  */
public class  MultipleBlipRemoteStrategy extends MultipleBlipStrategy {

	/** 
	 * The strategy thread for the player. 
	 *
 	 * @param buffer the first buffer in the series of buffers for the system.
	 * @param gameStats the area to write the game stats to.
	 */		
	public MultipleBlipRemoteStrategy(Buffer buffer, TextArea gameStats) {

		this.stub=new RemoteStub(buffer,gameStats,this);
		id="multblip";
		new RemoteExit((RemoteStub)stub);
	} 				 

}
