package pinball.player;

/**
 * Lock used to make sure the buffer info is draw on the screen.
 */
public class DrawLock {
	/** Flag to see if the buffer can be drawn.*/
	private boolean drawable=true;
	
	/**
	 * The buffer can be drawn.
	 */
	public void drawable() {
		drawable=true;
	}
	
	/**
	 * The buffer cannot be drawn.
	 */
	public void undrawable() {
		drawable=false;
	}

	/**
	 * Check if the buffer can be drawn.
	 * 
	 * @return drawable status.
	 */	
	public boolean status() {
		return drawable;
	}
}
	
