package pinball.player.resize;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.remote.*;


import java.util.*;
import java.io.*;
import java.awt.*;


/** 
 * The strategy thread for the player. 
 */
public class ResizeRemoteStrategy extends ResizeStrategy {
	/* Old dimentions of the frame. */
	
	/** Old width. */
	private int oldWidth;

	/** Old Height. */
	private int oldHeight; 
	
	/** Old Xoffset. */
	private int oldXOffset; 
	
	/** Old Yoffset. */	
	private int oldYOffset; 
	
	/** Old flipperZone. */
	private int oldFlipperZone;

	/** Did it go to full screen. */
	private boolean resizedFull=true;
	
	/** Did it go to small screen. */
	private boolean resizedSmall=false;
		
	
	/** 
	 * The strategy thread for the player. 
	 *
 	 * @param buffer the first buffer in the series of buffers for the system.
	 * @param gameStats the area to write the game stats to.
	 */	
	public ResizeRemoteStrategy(Buffer buffer,TextArea gameStats) {
		id="Resize";
		this.stub=new RemoteStub(buffer,gameStats,this);
		stub.setPriority(Thread.NORM_PRIORITY);
		
		boarder=4;
		stub.boarder(boarder);
		System.err.println("Strategy: "+id);	
		new RemoteExit((RemoteStub)stub);
	}

}
