package pinball.server;

import pinball.*;

import java.net.*;
import java.io.*;

/**
 * Client for sending data over the network. 
 */
public class MyClient extends Network{

	/** The data socket. */
	private Socket kkSocket = null;
	
	/** Data port. */
	private int 		port=0;
	
	/** Network host. */
	private String 		host=null;	
	
	/**
	 * Setup the socket. 
	 */
	public MyClient() {
		host=GameOptions.networkHost();
		port=GameOptions.networkPort();
	        try {
        	    kkSocket = new Socket(host , port);
        	    

	            
	            out = new PrintWriter(kkSocket.getOutputStream(), false);
	            in = new BufferedReader(new InputStreamReader(kkSocket.getInputStream()));
        	} 
        	catch (UnknownHostException e) {
	            System.err.println("Don't know about host: "+host+".");
        	    System.exit(1);
	        } 
	        catch (IOException e) {
        	    System.err.println("Couldn't get I/O for the connection to: "+host+".");
	            System.exit(1);
        	}
        }
        
        /**
         * Setup the client with pre-exisiting streams.
         */
        public MyClient(BufferedReader in, PrintWriter out) {
		this.in=in;
		this.out=out;
	}
        
        
        
	
}
        
